### Enumeration

# AppStream RelationStatus

since: 1.0

#### Declaration

    enum AppStream.RelationStatus

#### Description [src]

Status of a relation check result.

Available since: 1.0

#### Members

`AS_RELATION_STATUS_UNKNOWN`

  Unknown status.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_RELATION_STATUS_ERROR`

  An error occured and the status could not be checked.

  - Value: `1`
  - Nickname: `error`
  - Available since: 1.0
`AS_RELATION_STATUS_NOT_SATISFIED`

  The relation is not satisfied.

  - Value: `2`
  - Nickname: `not-satisfied`
  - Available since: 1.0
`AS_RELATION_STATUS_SATISFIED`

  The relation is satisfied.

  - Value: `3`
  - Nickname: `satisfied`
  - Available since: 1.0